apiVersion: self-node-remediation.medik8s.io/v1alpha1
kind: SelfNodeRemediation
metadata:
  generateName: ocp-edge-cluster-0-tvkcj-master-0
  annotations:
    remediation.medik8s.io/node-name: ocp-edge-cluster-0-tvkcj-master-0
    remediation.medik8s.io/template-name: selfnoderemediationtemplate-sample
  resourceVersion: '526146'
  name: ocp-edge-cluster-0-tvkcj-master-0lq2qt
  uid: f2313a06-63a1-4a20-959d-0a1d5cb3b5d3
  creationTimestamp: '2024-08-06T10:35:47Z'
  generation: 1
  managedFields:
    - apiVersion: self-node-remediation.medik8s.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"self-node-remediation.medik8s.io/snr-finalizer"': {}
      manager: Go-http-client
      operation: Update
      time: '2024-08-06T10:35:47Z'
    - apiVersion: self-node-remediation.medik8s.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:remediation.medik8s.io/node-name': {}
            'f:remediation.medik8s.io/template-name': {}
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:app.kubernetes.io/part-of': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"1a826875-dcc2-48bc-a4fe-d6585c8cd983"}': {}
            'k:{"uid":"722d67ec-68ea-4842-bc99-f7beed9834a4"}': {}
        'f:spec':
          .: {}
          'f:remediationStrategy': {}
      manager: manager
      operation: Update
      time: '2024-08-06T10:35:47Z'
    - apiVersion: self-node-remediation.medik8s.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions':
            .: {}
            'k:{"type":"Processing"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Succeeded"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:phase': {}
          'f:timeAssumedRebooted': {}
      manager: Go-http-client
      operation: Update
      subresource: status
      time: '2024-08-06T10:38:50Z'
  namespace: openshift-machine-api
  ownerReferences:
    - apiVersion: machine.openshift.io/v1beta1
      controller: false
      kind: MachineHealthCheck
      name: mhc-snr-master
      uid: 1a826875-dcc2-48bc-a4fe-d6585c8cd983
    - apiVersion: machine.openshift.io/v1beta1
      controller: false
      kind: Machine
      name: ocp-edge-cluster-0-tvkcj-master-0
      uid: 722d67ec-68ea-4842-bc99-f7beed9834a4
  finalizers:
    - self-node-remediation.medik8s.io/snr-finalizer
  labels:
    app.kubernetes.io/part-of: node-healthcheck-controller
spec:
  remediationStrategy: ResourceDeletion
status:
  conditions:
    - lastTransitionTime: '2024-08-06T10:38:50Z'
      message: ''
      reason: RemediationFinishedSuccessfully
      status: 'False'
      type: Processing
    - lastTransitionTime: '2024-08-06T10:38:50Z'
      message: ''
      reason: RemediationFinishedSuccessfully
      status: 'True'
      type: Succeeded
  phase: Fencing-Completed
  timeAssumedRebooted: '2024-08-06T10:38:47Z'
